import { AnnotationLayer } from "./AnnotationLayer";
import { Axis } from "./Axis";
import { CategoryTooltipLayerPosition } from "./CategoryTooltipLayerPosition";
import { Type, Point } from "igniteui-angular-core";
import { SeriesView } from "./SeriesView";
import { Series } from "./Series";
import { Frame } from "./Frame";
import { DataContext } from "igniteui-angular-core";
import { Size } from "igniteui-angular-core";
import { AnnotationLayerView } from "./AnnotationLayerView";
import { RenderingContext } from "igniteui-angular-core";
/**
 * @hidden
 */
export declare class CategoryToolTipLayer extends AnnotationLayer {
    static $t: Type;
    constructor();
    protected bf(): SeriesView;
    iu(a: SeriesView): void;
    protected m6: CategoryToolTipLayerView;
    protected get_cn(): boolean;
    m4: Axis;
    m8: boolean;
    m5: CategoryTooltipLayerPosition;
    protected iz(a: any, b: string, c: any, d: any): void;
    protected mk(a: Axis, b: boolean): void;
    protected ml(a: Series, b: boolean): void;
    protected mn(a: Frame, b: SeriesView): void;
    private m7;
    ia(): void;
    private nd;
    private m9;
    protected mq(a: Frame, b: SeriesView): void;
    protected c8(): boolean;
    static $$p: string[];
}
/**
 * @hidden
 */
export declare class CategoryToolTipLayerView extends AnnotationLayerView {
    static $t: Type;
    constructor(a: CategoryToolTipLayer);
    protected b1: CategoryToolTipLayer;
    private b2;
    private _tooltips;
    private b5;
    private b3;
    b7(): any;
    ap(): void;
    ag(): void;
    private _htmlTest;
    protected htmlTest: any;
    b4(a: Series, b: any, c: DataContext): boolean;
    ce(a: any): Size;
    cd(a: Point): Point;
    cb(a: any, b: number, c: number, d: number, e: number): void;
    cf(): Size;
    ca(a: any): void;
    b9(): void;
    cc(): void;
    protected a3(a: RenderingContext, b: boolean): void;
    ai(a: any): void;
}
